For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Template Message

Retrieve a list of template messages

get

Retrieves all template messages available for the channel.

Query parameters
sessionstringRequired

The session key generated by your admin to control which channel can send messages via the API.

Header parameters
X-USER-TOKENstringRequired

The secret key provided by iSlash for accessing the iSlash API platform.

Responses
200

Success

application/json
get/template-message
GET /api/public/template-message?session=text HTTP/1.1
Host: {ISLASH_API_ENDPOINT}
X-USER-TOKEN: text
Accept: */*
200

Success

{
  "meta": {
    "code": "text",
    "message": "text"
  },
  "data": {
    "templates": [
      {
        "id": 1,
        "emma_template_id": "text",
        "namespace": "text",
        "name": "text",
        "components": [
          {}
        ],
        "variable_map": {},
        "language": "text",
        "status": "text",
        "category": "text",
        "groups": [
          "text"
        ],
        "created_at": "text",
        "updated_at": "text"
      }
    ]
  }
}

Last updated